Holger's Java API

## com.antelmann.crm
Enum Person.Gender

    java.lang.Object
      java.lang.Enum<Person.Gender>
          com.antelmann.crm.Person.Gender

All Implemented Interfaces:
  Imageable, Serializable, Comparable<Person.Gender>

Enclosing interface:
  Person

    public static enum Person.Gender

extends Enum<Person.Gender>
implements Imageable

Enum Constant Summary
`FEMALE`
`MALE`
`OTHER`
`UNSPECIFIED`

Method Summary
`Image` `getDisplayIcon()` returns an image that is suitable for use as an icon for this instance.
`Image` `getDisplayImage()` returns an image that represents a visual representation of this instance.
`String` `getSalutation()`
`String` `toString()`
`static Person.Gender` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Person.Gender[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNSPECIFIED

    public static final Person.Gender UNSPECIFIED

### MALE

    public static final Person.Gender MALE

### FEMALE

    public static final Person.Gender FEMALE

### OTHER

    public static final Person.Gender OTHER

Method Detail

### values

    public static Person.Gender[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Person.Gender c : Person.Gender.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Person.Gender valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Person.Gender>`

### getSalutation

    public String getSalutation()

### getDisplayImage

    public Image getDisplayImage()
                          throws IOException

  Description copied from interface: `Imageable`
  returns an image that represents a visual representation of this instance. The method may return null;

  Specified by:
    `getDisplayImage` in interface `Imageable`
  Throws:
    `IOException`

### getDisplayIcon

    public Image getDisplayIcon()
                         throws IOException

  Description copied from interface: `Imageable`
  returns an image that is suitable for use as an icon for this instance. The method may return null;

  Specified by:
    `getDisplayIcon` in interface `Imageable`
  Throws:
    `IOException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads